Skip to main content
POST
/
v1
/
orgs
/
{orgId}
/
skill-hubs
/
{skillHubId}
/
skills
Add skill to skill hub
curl --request POST \
  --url https://api.openworklabs.com/v1/orgs/{orgId}/skill-hubs/{skillHubId}/skills \
  --header 'Content-Type: application/json' \
  --data '
{
  "skillId": "<string>"
}
'
{
  "success": true
}

Path Parameters

orgId
string<typeid>
required

Den TypeID with 'org_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^org_.*
skillHubId
string<typeid>
required

Den TypeID with 'shb_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^shb_.*

Body

application/json
skillId
string<typeid>
required

Den TypeID with 'skl_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^skl_.*

Response

Skill added to skill hub successfully.

success
boolean
required